Name:           OptimizationKit
Version:        0.1.2_rc1
Release:        1%{?dist}
Summary:        OptimizationKit 

Group:          Applications/System
License:        GPLv2+
URL:            http://optimizationkit.org
Source0:        http://download.tuxfamily.org/optimization/OptimizationKit/v0.1/%{name}-%{version}.tar.bz2
Patch0:         OptKit-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:       pygtk2
BuildArch:      noarch

%description
OptimizationKit


%prep
%setup -q
%patch0 -p1 -b .install


%build
#make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
./install.sh -d $RPM_BUILD_ROOT -o 1

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add optimizationkit

%preun
chkconfig --del optimizationkit

%files
%defattr(-,root,root,-)
%doc doc
%config(noreplace) %{_sysconfdir}/OptimizationKit/OptimizationKit.conf
%{_sysconfdir}/init.d/optimizationkit
%{_bindir}/OptimizationKit-gui
%{_bindir}/ok_gen_prefetch_file
%{_sbindir}/OptimizationKit
%attr(755,root,root) %{_datadir}/OptimizationKit/OptimizationKit
%{_datadir}/OptimizationKit

%changelog
* Mon Apr 07 2008 Mohd Izhar Firdaus Ismail <izhar@fedoraproject.org> 0.1.2_rc1-1.fc9
- initial package
